Quassel IRC - Feature #505

If an invite to a channel is received a dialogue to join or decline should be shown.

01/28/2009 04:52 PM - jussiO1

Status: Confirmed Start date: 01/28/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: General / Unspecified Estimated time: 0.00 hour
Target version:

0S: Any

Description

as per subject

Related issues:

Blocked by Quassel IRC - Feature #461: Store ircd replies as raw messages, pr... Confirmed

Blocked by Quassel IRC - Feature #961: basic handling for incoming invites

Resolved 05/06/2010

History

#1 - 02/04/2009 01:15 PM - EgS

- Tracker changed from Bug to Feature

#2 - 02/04/2009 01:21 PM - EgS
- Category set to General / Unspecified

- Status changed from New to Confirmed

We need a new message type for that.

| suggest a new message type (as proposed in #461) and a special flag that indicates that this message should always be displayed in the current

buffer.

Besides that | don't think a special Popup is worth the hazzle, just click on the channel name in that message and you'll get there.

#3 - 03/07/2009 04:00 PM - DevUrandom

Idea seems interesting. But no dialogue/popup please, it just gets annoying and will be clicked away easily as we have learnt in the past years. Some
cautious little dialogue at the top/bottom border of the screen might be better. (See FireFox popup/password stuff, IE8 activex warnings, Amarok2 info

boxes, KiGo info boxes.)
